# site

Die Chaospott Seite / Der Blog

Zu finden auf [chaospott.de](https://chaospott.de)

jekyll + bootstrap

## Initialisierung

Für die Seite benötigt ihr Ruby 2.7.0

<pre><code>---
rbenv install 2.7.0
rbenv local 2.7.0
bundle install --path=vendor/cache
---</code></pre>

## Blogeinträge

### Text

Blogeinträge werden in dem Verzeichnis „\_posts“ abgelegt. Um einen Blogeintrag zu verfassen legt man eine Datei mit dem Schema „Jahr-MM-TT-Titel.markdown“ an. Der Blogeintrag beginnt mit folgenden Metadaten:
<pre><code>---
layout: post
title: "Neues Update für DocPatch"
date: 2015-05-23 13:37:00
categories: docpatch
---</code></pre>
Damit wird der Titel des Blogeintrags, das Datum der Veröffentlichung und die Kategorie (optional) festgelegt.

#### Troobleshooting fürs NOC

Sollte der Blogeintrag nicht in den nächsten Minuten auf der Webseite erscheinen muss ein  manueller Pull von */_posts ausgeführt werden.

### Bilder

Bilder für Blogeinträge werden unterhalb von Media in einem eigenen Verzeichnis (Jahr-MM-TT) abgelegt.

<pre><code>~/site/media/jahr-mm-tt
</code></pre>

Als erstes sollte man die Exif-Daten (z.B. Geoinformation) der Bilder entfernen. Dabei wird auch die „Rotation“ des Bildes entfernt.
<pre><code>exiftool -all= $Bild
</code></pre>

Ggf. muss das Bild gedreht werden, wenn es ohne die Metatags auf dem Kopf steht oder auf der Seite liegt.
<pre><code>convert -rotate 90 $Bild $Bild_out.jpg</code></pre>

Der vorletzte Schritt setzt die Bilder auf eine einheitliche Breite.
<pre><code>mogrify -resize "1140>" $Bild
</code></pre>

Viele Bilder können noch optimiert werden, damit der benötige Speicherplatz und die zu übertragende Datenmenge reduziert wird.
<pre><code>jpegoptim -m 80 %Bild.jpg</code></pre>

Wenn das Bild in der korrekten Größe und Ausrichtung vorliegt, kann es wie Folgt eingebunden werden.
<pre><code>![Quelle: Chaospott]({{ site.url }}/media/Jahr-MM-TT/$Bild.jpg)
</code></pre>


### Web Key Directory (GPG/PGP-Keys zur Suche ablegen)

Um, neben [keys.openpgp.org](https://keys.openpgp.org/), den eigenen Chaospott-GPG-Key über das WKD-Protokoll verfügbar zu machen, gehe wie folgt vor:


1. Clone das Repo.

2. Im Repo geh in den Ordner `.well-known/openpgpkey/hu`. 

3. Folgendes Skript exportiert deinen öffentlichen Schlüssel in eine Datei, die den Namen deines WKD-Hashes trägt. Dieses wird zur Suche nach deinem GPG-Key benutzt.

```bash
# Deine Mailadresse hier eintragen.
MAILADRESSE=name@chaospott.de

# Dieses danach im o.g. Ordner ausführen.
gpg --no-armor --export "$MAILADRESSE" > $(gpg --with-wkd-hash --fingerprint "$MAILADRESSE" | egrep "[ ]{14}[0-9a-z]{32}@chaospott\.de" | sed 's/ //g;s/@chaospott\.de//')
```

4. Füge es zum git hinzu, commite und pushe.
